Subject: bug#12216: peek-char incorrectly *CONSUMES* eof

From: Andy Wingo <[email-masked]>
Date: Wed, 13 Mar 2013 15:33:33 +0100

On Wed 13 Mar 2013 14:09, "David A. Wheeler" <[email-masked]> writes:

> Andy Wingo:
>
>> So, we are repeating ourselves here :)  I agree with you but I can't see
>> a good way of implementing this.
>
> Would the per-port reader options be reasonable place to store the info
> about EOF?

For your own purposes that would be fine.  But it cannot affect
read-char / peek-char / etc for everyone, because it would have bad
global effects on performance and correctness.  That's why I'm pushing
back on fixing this in Guile itself.

Andy
-- 
http://wingolog.org/